package com.supervision.pdfqaserver.dto;

import com.supervision.pdfqaserver.domain.ErAttribute;
import lombok.Data;

@Data
public class ERAttributeDTO {

    private String id;

    /**
     * 领域分类id
     */
    private String domainMetadataId;

    /**
     * 属性名
     */
    private String erName;

    /**
     * 属性值类型
     */
    private String attrName;

    /**
     * 属性值类型
     */
    private String attrValueType;

    /**
     * 节点 1 关系 2
     */
    private String erType;

    public ErAttribute toErAttribute() {
        ErAttribute erAttribute = new ErAttribute();
        erAttribute.setId(this.id);
        erAttribute.setDomainMetadataId(this.domainMetadataId);
        erAttribute.setAttrName(this.attrName);
        erAttribute.setAttrValueType(this.attrValueType);
        erAttribute.setErType(this.erType);
        return erAttribute;
    }
}
