package com.supervision.pdfqaserver.constant;

import lombok.Getter;

/**
 * 文档内容类型
 */
@Getter
public enum DocumentContentTypeEnum {

    /**
     * 研报
     */
    REPORT("0", "研报"),

    /**
     * 对话
     */
    DIALOGUE("1", "对话"),

    /**
     * 记录
     */
    RECORD("2", "记录");


    DocumentContentTypeEnum(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    private final String type;

    private final String desc;
}
